Bug 123311 - cannot connect to local MySQL server.
cannot connect to local MySQL server.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 18:32 EDT by Amos Ku
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 17:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amos Ku 2004-05-16 18:32:27 EDT
Description of problem:

Mysql server does not work. Message says "ERROR 2002: Can't connect to
local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) This   
problem has occrred since I installed FC1. 

Version-Release number of selected component (if applicable):


How reproducible:

Open a monitor window. Type "mysql" at the prompt.

Steps to Reproduce:
1.Open a monitor window
2.Type mysql at the prompt
3.
  
Actual results:

ERROR 2002: Can't connect to local MySQL server through socket
'/var/lib/mysql/mysql.sock' (2)

Expected results:

Welcome to the MySQL monitor. Commands end with ; or \g.
Your MySQL connection id is x to server version: x.x.x

Additional info:
Comment 1 Tom Lane 2004-10-06 18:39:32 EDT
That's what you get if mysqld isn't running.  Perhaps you neglected to
install or start the mysql server?
Comment 2 John Thacker 2006-10-29 17:03:20 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please install
a still supported version and retest.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Otherwise, if this a security
issue, please change the product to Fedora Legacy.  Thanks, and we are sorry
that we did not get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.